List sections and content blocks in a course
Lists sections and content blocks for a course. Scoped to your integration’s institution via Basic Auth credentials.
GET
/courses/{id}/content-blocksPath parameters
idstringrequiredCourse ID (layer ID of the course)
Responses
200Layer sections with content blocks
dataLayerSectionsResponserequiredShow propertiesHide properties
sectionsLayerSectionWithBlocks[]requiredShow propertiesHide properties
Array of
LayerSectionWithBlocksidstringrequirednamestringrequiredpositionintegerrequiredblocksLayerBlockSummary[]requiredShow propertiesHide properties
Array of
LayerBlockSummaryidstringrequirednamestringrequiredtypestringrequiredpositionintegerrequiredstatusstringrequiredstandaloneBlocksLayerBlockSummary[]requiredShow propertiesHide properties
Array of
LayerBlockSummaryidstringrequirednamestringrequiredtypestringrequiredpositionintegerrequiredstatusstringrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring403Forbidden
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X GET "https://fuxam.app/api/v4/courses/string/content-blocks"const response = await fetch("https://fuxam.app/api/v4/courses/string/content-blocks", {
method: "GET"
});import requests
response = requests.get(
"https://fuxam.app/api/v4/courses/string/content-blocks",
)Response
{
"data": {
"sections": [
{
"id": "string",
"name": "string",
"position": 0,
"blocks": [
{
"id": "string",
"name": "string",
"type": "string",
"position": 0,
"status": "string"
}
]
}
],
"standaloneBlocks": [
{
"id": "string",
"name": "string",
"type": "string",
"position": 0,
"status": "string"
}
]
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}